<?
$img = pipi_load_stock("random:128x128");
$img = pipi_gaussian_blur($img, 10);
$img = pipi_contrast($img, 0.98);

$histogram = pipi_new_histogram();
$histogram_img = pipi_new(320, 200);
pipi_get_image_histogram($img, $histogram, 1);
pipi_render_histogram($img_histogram, $histogram, 1);

pipi_save($histogram_img, "out.png");
